/* RESET & TYPOGRAPHY */

@font-face {
  font-family: "Cantarell";
  font-style: normal;
  font-weight: 800;
  src: local("Cantarell Extra Bold"), local("Cantarell-ExtraBold"), url(assets/fonts/cantarell-extra-bold-latin.woff2) format("woff2");
  unicode-range: U+0000-00FF,U+0131,U+0152-0153,U+02BB-02BC,U+02C6,U+02DA,U+02DC,U+2000-206F,U+2074,U+20AC,U+2122,U+2212,U+2215;
}
@font-face {
  font-family: "Cantarell";
  font-style: normal;
  font-weight: 600;
  src: local("Cantarell Bold"), local("Cantarell-Bold"), url(assets/fonts/cantarell-bold-latin.woff2) format("woff2");
  unicode-range: U+0000-00FF,U+0131,U+0152-0153,U+02BB-02BC,U+02C6,U+02DA,U+02DC,U+2000-206F,U+2074,U+20AC,U+2122,U+2212,U+2215;
}
@font-face {
  font-family: "Cantarell";
  font-style: normal;
  font-weight: 400;
  src: local("Cantarell Regular"), local("Cantarell-Regular"), url(assets/fonts/cantarell-regular-latin.woff2) format("woff2");
  unicode-range: U+0000-00FF,U+0131,U+0152-0153,U+02BB-02BC,U+02C6,U+02DA,U+02DC,U+2000-206F,U+2074,U+20AC,U+2122,U+2212,U+2215;
}

:root {
  --text: #f6f5f4;
}
* {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}
html, body {
  margin: 0;
  padding: 0;
  font-size: 20px;
  font-family: "Cantarell", -apple-system, BlinkMacSystemFont, "Helvetica", sans-serif;
  font-weight: 400;
  line-height: 1.6;
  letter-spacing: -0.01em;
  word-spacing: -0.01em;
}
body {
  color: var(--text);
  background-color: #2c3038;
}
h1, h2, h3, h4, h5, h6 {
  margin: 0 0 10px;
  font-weight: 800;
  line-height: 1.25;
}
a {
  color: #62a0ea;
}

/* LAYOUT */
.container {
  width: 85%;
  margin: 4rem auto;
  max-width: 900px;
}
@media (min-width: 1400px) and (min-height: 900px) {
  body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
  }
  .container {
    width: 900px;
    height: 700px;
    margin: 0;
  }
}
.app-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

/* CONTENT */
.title {
  font-size: 2rem;
  text-align: center;
}
.subtitle {
  display: block;
  max-width: 380px;
  margin: 2rem auto 0;
  text-align: center;

}

.app-container {
  margin: 2rem 0 4rem;
}
.app {
  flex-grow: 4;

  display: block;
  max-width: 230px;
  margin: 0.2rem;
  padding: 1rem;

  text-align: center;
  border-radius: 1rem;
  color: var(--text);
  text-decoration: none;
  cursor: pointer;

  box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.0);
  background-color: rgba(255, 255, 255, 0.0);
  transition: all 0.35s cubic-bezier(0.17, 0.89, 0.32, 1.28);
}
.app:hover {
  background: rgba(255, 255, 255, 0.1);
  box-shadow: 0 0 0 8px rgba(255, 255, 255, 0.1);
}
.app:active {
  transform: scale(0.95);
}
.app > h3 {
  font-size: 1rem;
}
.app > p {
  display: block;
  margin: 0 auto;
  width: 80%;
  font-size: 0.8rem;
  opacity: 0.7;
}

.icon-shadow {
  filter: /* Sharp drop shadow */
          drop-shadow(0 0.08rem 0.1rem rgba(0,0,0, 0.35))
          /* Diffuse ambient shadow */
          drop-shadow(0 0.4rem 0.7rem rgba(0,0,0, 0.18));
}

/* FOOTER */
footer {
  text-align: center;
  margin: 5em 0 2em;
  font-size: 0.8rem;
}
